Page MenuHomePhabricator

Finish conversion from LQT to Flow on pt.wikibooks
Open, HighPublic

Description

We got the okay on pt.wikibooks to convert LQT to Flow.

This and the Swedish chapter are the two conversions we need to do by the end of the month. (T106302)

T111098: Run FlowCreateTemplates.php on all Flow-enabled wikis in production needs to be done first (all wikis, not just ptwikibooks).

T114278: Freeze LQT on pt.wikibooks (pending since 2015) should be deployed immediately after the script run.

Related Objects

Event Timeline

DannyH created this task.Sep 24 2015, 10:58 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to High.
DannyH added a subscriber: DannyH.
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald TranscriptSep 24 2015, 10:58 PM
DannyH renamed this task from Convert pt.wikibooks from LQT to Flow to Convert LQT -> Flow on pt.wikibooks .Sep 24 2015, 10:59 PM
DannyH set Security to None.
DannyH removed a subscriber: DannyH.Oct 5 2015, 10:36 PM

There are 2 editors (reluctantly) endorsing the idea of using "Thread" as the namespace name. There are no suggested alternatives. I think we can go ahead with that.

(Just for clarity, and future reference: How difficult is it to change the name of a "topic" namespace, once it is firmly established and prolifically used?)

Important Part: I just realized this is not going to work, since Thread is the canonical namespace name for an LQT thread. Although Tópico is the localized namespace name for Portuguese, the canonical one also always works: https://pt.wikibooks.org/wiki/Thread:Discussão:A_linguagem_do_LiveCode/História_e_características_gerais/Página_criada_por_acidente

I'm very sorry. We should have caught this before. I originally thought you meant to use the Portuguese word for 'thread', but I still didn't think of this even when you clarified that.

It probably work if we used the Portuguese word for 'thread' (obviously, we would need to check whatever word they came up with), but I know you said they don't want that.

(Just for clarity, and future reference: How difficult is it to change the name of a "topic" namespace, once it is firmly established and prolifically used?)

I think it can be done pretty easily by changing the per-wiki namespace, and adding a per-wiki $wgNamespaceAliases so the old one still works (although that means both the old and new name are 'used up').

@He7d3r requests a longterm plan (and associated phabricator task) to eventually convert to "Tópico". (last 2 posts). I partially explained (my understanding of) the problems with that change, as "Most of the practical methods for doing that, would break incoming (external) links and bookmarks. (I.e. It would be possible (but require a lot of work) to update all the internal LQT links on this wiki, but it would not be practical to leave redirects for the old LQT page-titles in that namespace.)"

There are no other objections to using "Topic" as the namespace name, for now.

Personally, I'm leaning towards simply breaking eventual links to the old addresses of these LQT discussion pages just so that we can have Flow the same way it is on other wikis (that is, with a translated namespace). It is not like the discussions are being deleted anyway. It will be like they were "moved without redirects", for a good reason (technical difficulties).

Catrope claimed this task.Nov 2 2015, 11:07 PM

First run went well: P2269

Now going to convert all pages.

Full run aborted because we want "/Arquivo LQT 1" instead of "/LQT Archive 1": P2270. Started a second full run with that fixed (or rather, monkey-patched, because that string isn't translatable).

Full run aborted because we want "/Arquivo LQT 1" instead of "/LQT Archive 1": P2270. Started a second full run with that fixed (or rather, monkey-patched, because that string isn't translatable).

Around 3pm PST on Wednesday I aborted that run and restarted it, because it was getting slow (probably due to the memory leak bug). When I restarted it, I forgot to reapply my live hack for "/Arquivo LQT 1", so now a bunch of pages were archived with the wrong name :(

The conversion has finished now, so I've notified ptwikibooks that the conversion is done (and of the "/LQT Archive 1" issue) at https://pt.wikibooks.org/w/index.php?title=Topic:Spfa84s3kbw3x1ei&topic_showPostId=ss2k563e3t50w7we#flow-post-ss2k563e3t50w7we

Looking at the logs I noticed there were a few duplicate UUID failures, so I'm rerunning the conversion one more time to try and clean up those failures.

Until it's 100% complete, we should not move any archive pages unless they have {{#useliquidthreads:0}}.

I'll be looking into the duplicate key issue.

@matthiasmullie has been working on this, but the script keeps failing and he keeps having to fix things.

Josve05a removed a subscriber: Josve05a.Aug 2 2016, 1:03 AM
matthiasmullie removed matthiasmullie as the assignee of this task.Aug 18 2016, 10:27 AM
matthiasmullie assigned this task to Mattflaschen-WMF.

Since some topics have already been imported before and we don't have that sourcestore file, the import script has to be run with --force-recovery-conversion.

Any estimates on when this will be done?

He7d3r renamed this task from Convert LQT -> Flow on pt.wikibooks to Finish conversion from LQT to Flow on pt.wikibooks (pending since 2015).Jan 22 2017, 12:18 PM
He7d3r awarded a token.
He7d3r added a comment.May 8 2017, 6:20 PM

Any estimates on when this will be done?

He7d3r removed a subscriber: He7d3r.Jul 4 2017, 4:20 PM
He7d3r rescinded a token.Sep 6 2017, 4:45 PM
He7d3r renamed this task from Finish conversion from LQT to Flow on pt.wikibooks (pending since 2015) to Finish conversion from LQT to Flow on pt.wikibooks.May 19 2018, 11:51 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 11:09 PM
SBisson added a subscriber: SBisson.Sep 4 2018, 7:23 PM

When this work is picked up again: the Flow->LQT conversion script should be modified to create the Flow board on the side and only archive the LQT page and move the Flow page after everything has been imported successfully. It could also be broken down into 2 scripts (1. convert to Flow, 2. archive LQT pages and move Flow pages) so that the move only occurs after all the conversions have been done successfully.